[package]
name = "wgpu-template"
version = "0.1.0"
edition = "2024"

[dependencies]
anyhow = "1.0.100"
bytemuck = "1.24.0"
cgmath = "0.18.0"
crevice = {version = "0.18.0", features = ["cgmath"]}
egui = "0.33.3"
egui-wgpu = "0.33.3"
egui-winit = "0.33.3"
env_logger = "0.11.8"
image = "0.25.9"
indicatif = "0.18.3"
itertools = "0.14.0"
pollster = "0.4.0"
rand = "0.9.2"
tiff = "0.10.3"
wgpu = {version = "27.0.1", features = ["spirv"]}
winit = "0.30.12"

[build-dependencies]
spirv-builder = {git = "https://github.com/rust-gpu/rust-gpu"}

[profile.release]
opt-level = 3
